Bug 10384 - [BACKPORT REQUEST] vfs/glusterfs: in case atime is not passed, set it to the current atime
[BACKPORT REQUEST] vfs/glusterfs: in case atime is not passed, set it to the ...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-16 16:13 UTC by Niels de Vos
Modified: 2014-01-25 15:26 UTC (History)
1 user (show)

See Also:


Attachments
vfs_glusterfs patch to fix atime. (1.99 KB, patch)
2014-01-16 16:27 UTC, Ira Cooper
ira: review+
jra: review+
Details
Patch from the master branch (1.99 KB, patch)
2014-01-16 16:30 UTC, Niels de Vos
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Niels de Vos 2014-01-16 16:13:27 UTC
Please backport commit 276c1616cf06741b69e06519ea61c874a686c716 to samba-4.1.

Thanks!
Comment 1 Ira Cooper 2014-01-16 16:27:10 UTC
Created attachment 9598 [details]
vfs_glusterfs patch to fix atime.

This is the cherry-pick needed.

Reviewed-By: Ira Cooper <ira@samba.org>

(I think I left the tags on.  My bad.)
Comment 2 Niels de Vos 2014-01-16 16:30:24 UTC
Created attachment 9599 [details]
Patch from the master branch
Comment 3 Jeremy Allison 2014-01-16 18:00:46 UTC
Comment on attachment 9598 [details]
vfs_glusterfs patch to fix atime.

LGTM.
Comment 4 Jeremy Allison 2014-01-16 18:01:19 UTC
Re-assigning to Karolin for inclusion in 4.1.next.

Jeremy.
Comment 5 Karolin Seeger 2014-01-17 08:16:25 UTC
Pushed to autobuild-v4-1-test.
Comment 6 Karolin Seeger 2014-01-25 15:26:43 UTC
Pushed to v4-1-test.
Closing out bug report.

Thanks!